//Autor: Peter Reimann
//Datum: 06.07.2004
//Programmiersprache: Java2 1.4
//Beschreibung: Dieses Programm liest die Highscoredatei highscore.dat aus
//              und schreibt deren Inhalt in eine einzige Zeile.
//              Dadurch kann man die Highscore in das Applet des Schiebespiels
//              laden.
//Die Datei highscore.dat liegt im Unterverzeichnis files.

import java.io.*;

class highscoreread
{
   private final static String highscore_datei = config.topdir + "files/highscore.dat";

   public static void main(String args[])
   {try
    {
       RandomAccessFile f = new RandomAccessFile(highscore_datei, "r");

       for (String s; (s = f.readLine()) != null; )
          System.out.print(s);
       //Die Datei wird Zeile fr Zeile ausgegeben.

       System.out.println();
       //neue Zeile

    }
    catch (IOException e)
    {
        System.err.println("I/O error!");
    }
   }
}
