import java.awt.*;
import java.applet.*;
import java.util.*;

public class Stein
extends Canvas
 {

  public boolean gesetzt = false; //Stein vorhanden 
  public boolean empty = true; //Ist der Stein berhaupt initialisiert

  private int xKoord,yKoord;
  private int durchmesser = 30;

  //Daten fr die Anzeige der Pfeil bei ZugVor, Formeln fr andere Durchmesser als 30 nicht berprft.
  //Mssen evtl. gendert werden.
  private int pfeillaenge = 3 * (durchmesser - 4);
  private int pfeilbreite = ((durchmesser / 3) * 2) - 1;
  private int xAbstand = -(pfeilbreite + 4);
  private int yAbstand = durchmesser / 5;;

  private boolean markiert = false; //Grafisch Markiert angewhlt im Fokus
  private boolean IsZiel = false;

  //a paar Bildle
  private Image Igesetzt,Iugesetzt,Imarkiert,Iud,Irl;

  //Pfeile
  public int pfeil = 0; // 0= kein Pfeil; 1= rechts; 2= links; 3= hoch; 4= runter

// Zug Mglichkeiten Erkennung
//  private Zugziel zugziel;
  public ArrayList ziel = new ArrayList();
 
 
  public Stein(int anfX, int anfY) {
	  xKoord = anfX;
	  yKoord = anfY;
  }

 public Stein(int anfX, int anfY, int durchm) {
	  xKoord = anfX;
	  yKoord = anfY;

	  durchmesser = durchm;
	  pfeillaenge = 3 * (durchmesser - 4);
	  pfeilbreite = ((durchmesser / 3) * 2) - 1;
	  xAbstand = -(pfeilbreite + 4);
	  yAbstand = durchmesser / 5;;
  }

  public Stein(int anfX, int anfY, boolean gesetzt) {
	  xKoord = anfX;
	  yKoord = anfY;
	  this.gesetzt = gesetzt;
	  this.empty = false;
  }

 public Stein(int anfX, int anfY, int durchm, boolean gesetzt) {
	  xKoord = anfX;
	  yKoord = anfY;

	  durchmesser = durchm;
	  pfeillaenge = 3 * (durchmesser - 4);
	  pfeilbreite = ((durchmesser / 3) * 2) - 1;
	  xAbstand = -(pfeilbreite + 4);
	  yAbstand = durchmesser / 5;;

	  this.gesetzt = gesetzt;
	  this.empty = false;
  }

    public void setImage(Image gesetzt, Image ugesetzt, Image marker, Image ud, Image rl)
    {
	Igesetzt = gesetzt;
	Iugesetzt = ugesetzt;
	Imarkiert = marker;
	Iud = ud;
	Irl = rl;
    }	  
	
  public int getx() {
	  return(xKoord);
  }
  public int gety() {
	  return(yKoord);
  }
  public void set() {
	  gesetzt = true;
  }
  public void uset() {
	  gesetzt = false;
  }
  
  public void change() {
	  if (gesetzt) gesetzt=false;
	  else gesetzt=true;
  }
  public void markieren() {
  	  markiert= gesetzt;
  }
  public void umarkieren() {
	  markiert= false;
  }
  public void isZiel() {
	IsZiel = true;
  }
  public void noZiel() {
	IsZiel = false;
}

  public boolean ismarkiert() {
	  return(markiert);
  }
  public boolean leer(){
	  return(empty);
  }

  public boolean isIn(int x, int y){
  	  if (x >= xKoord && x <= (xKoord+durchmesser) && y >= yKoord && y <= (yKoord+durchmesser))
		return(true);
	  else
		return(false);
  }
	  

  public boolean klicked(int x, int y){
  	  if (x >= xKoord && x <= (xKoord+durchmesser) && y >= yKoord && y <= (yKoord+durchmesser)){
		markieren();
	  	return(true);
	  }
	  else{
	        umarkieren();
		return(false);
	  }
  }

  public void anzeigen(Graphics g) {


	 if (IsZiel){
	      g.setColor (Color.red);
	 }

 	 g.drawImage(Iugesetzt, xKoord, yKoord, durchmesser, durchmesser,this);
	 g.drawOval(xKoord, yKoord, durchmesser, durchmesser);


	  if (markiert && gesetzt)
	      //g.setColor (Color.gray);
	      g.drawImage(Imarkiert, xKoord, yKoord, durchmesser, durchmesser,this);
          else if (gesetzt)
	      g.drawImage(Igesetzt, xKoord, yKoord, durchmesser, durchmesser,this);
	  else
              g.setColor (Color.black);

	  /*if (gesetzt){ 
		  //g.fillOval(xKoord+2, yKoord+2, durchmesser-3, durchmesser-3);
	      	  g.drawImage(Igesetzt, xKoord+2, yKoord+2, durchmesser-3, durchmesser-3,this);
		  g.setColor (Color.black);
	  } 
	  if (markiert){
		  g.drawImage(Imarkiert, xKoord+2, yKoord+2, durchmesser-3, durchmesser-3,this);
	  } */
	  

	  if (pfeil == 1) { //rechts
	          /*g.setColor (Color.red);
		  g.fillRect(xKoord-20, yKoord+13, 67, 6);
		  g.drawLine(xKoord-20+70+3, yKoord+13+3, xKoord-20+70-3, yKoord+13-3);
		  g.drawLine(xKoord-20+70+3, yKoord+13+3, xKoord-20+70-3, yKoord+13+6+3); 
		  g.drawLine(xKoord-20+70-3, yKoord+13+6+3, xKoord-20+70-3, yKoord+13-3);
		  g.setColor (Color.black);*/
	      g.drawImage(Irl,
			  xKoord+xAbstand,
			  yKoord+yAbstand,
			  pfeillaenge,
			  pfeilbreite,
			  this);
	  }
	  if (pfeil == 2) { //links
	          /*g.setColor (Color.red);
		  g.fillRect(xKoord-20+3, yKoord+13, 67, 6);
		  g.drawLine(xKoord-20-3, yKoord+13+3, xKoord-20+3, yKoord+13-3);
		  g.drawLine(xKoord-20-3, yKoord+13+3, xKoord-20+3, yKoord+13+6+3); 
		  g.drawLine(xKoord-20+3, yKoord+13+6+3, xKoord-20+3, yKoord+13-3);
		  g.setColor (Color.black);*/
	      g.drawImage(Irl,
			  xKoord+xAbstand + pfeillaenge,
			  yKoord+yAbstand + pfeilbreite,
			  -pfeillaenge,
			  -pfeilbreite,
			  this);
	  }
	  if (pfeil == 3) {  //hoch
		  /*g.setColor (Color.red);
		  g.fillRect(xKoord+13, yKoord-20+3, 6, 67);
		  g.drawLine(xKoord+13+3, yKoord-20-3, xKoord+13-3, yKoord-20+3);
		  g.drawLine(xKoord+13+3, yKoord-20-3, xKoord+13+6+3, yKoord-20+3); 
		  g.drawLine(xKoord+13+6+3, yKoord-20+3, xKoord+13-3, yKoord-20+3);
		  g.setColor (Color.black);*/
		  g.drawImage(Iud,
			      xKoord+yAbstand,
			      yKoord+xAbstand,
			      pfeilbreite,
			      pfeillaenge,
			      this);
	  }
	  if (pfeil == 4) {  //runter
	          /*g.setColor (Color.red);
		  g.fillRect(xKoord+13, yKoord-20, 6, 67);
		  g.drawLine(xKoord+13+3, yKoord-20+70+3, xKoord+13-3, yKoord-20+70-3);
		  g.drawLine(xKoord+13+3, yKoord-20+70+3, xKoord+13+6+3, yKoord-20+70-3); 
		  g.drawLine(xKoord+13+6+3, yKoord-20+70-3, xKoord+13-3, yKoord-20+70-3);
		  g.setColor (Color.black);*/
	      g.drawImage(Iud,
			  xKoord+yAbstand + pfeilbreite,
			  yKoord+xAbstand + pfeillaenge,
			  -pfeilbreite,
			  -pfeillaenge,
			  this);
	  }

	  
  } 

}

