//Autor: Peter Reimann
//Datum: 06.07.2004
//Programmiersprache: Java2 1.4
//Beschreibung: Dieses Programm schreibt einen neuen Eintrag in die Datei
//              highscore.dat. Es bekommt ber die Kommandozeile die
//              Platzierung, den Namen und die Punktzahl des neuen Eintrags.
//              Dadurch wird beim Schiebespiel die Highscore gesichert und
//              nicht bei jedem Neustart initialisiert.
//Die Datei highscore.dat befindet sich im Unterverzeinis files.

import java.io.*;


class highscoreput
{
    private final static String highscore_datei = config.topdir +  "files/highscore.dat";

    public static void main(String args[])
/* Im ersten Element von args[] steht die Platzierung, im letzen Element die Punkteanzahl
   und in den restlichen Elementen der Name des Spielers.*/

    {try{
	RandomAccessFile f = new RandomAccessFile(highscore_datei, "rw");
        int index = Integer.parseInt(args[0]); //hier wird die Platzierung in index gespeichert
        StringBuffer Ende = new StringBuffer();

        f.seek(0);   //vorsichtshalber wird der FilePointer auf den Anfang der Datei gesetzt

        while (index > 1)
	    {
		f.readLine();
                index--;
	    }
        /* In dieser Schleife geht man an die Stelle, an der der Eintrag entsprechend
           der Platzierung gespeichert werden soll.*/

        long position = f.getFilePointer(); //die derzeitige Position wird abgespeichert
        int c = 0;
        
        while ( (c = f.read()) != -1 )

	    {
		f.seek(f.getFilePointer() - 1);
		Ende = Ende.append(f.readLine());
	    }
        /*In dieser Schleife wird alles, was nach der Position kommt in Ende gespeichert.*/

	f.setLength(position);
        /*Das Ende wird aus der Datei gelscht.*/

        for (int i = 1; i < args.length; i++)
          {f.writeBytes(args[i]);
           if (i == (args.length - 2))
               f.write(',');
           if (i < (args.length - 1))
               f.write(' ');
           }
        f.writeBytes(";" + "\n");
        /*In der Schleife wird der Eintrag (ohne Platzierung) in die Datei gespeichert.*/

        for (int i = 0; i < Ende.length(); i++)
         {if (Ende.charAt(i) == ';')
	     {
                f.writeBytes(";" + "\n");
             }
          else
             {
		f.write(Ende.charAt(i));
             }
         }
        /*hier wird das Ende der Datei wieder in die Datei zurckgeschrieben.*/

	f.seek(0);
	index = 1;
	while (index < 11)
	    {f.readLine();
             index++;}
	f.setLength(f.getFilePointer());
	/*Alle Eintrge auer die ersten 10 werden aus der Datei gelscht.*/

       }

    catch (IOException e)
	{System.err.println("I/O error!");}
    }
}
